MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026763Open CASCADE[OCCT] OCCT:Configurationpublic2015-10-09 11:452016-04-20 15:51
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSDebianOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026763: CMake configuration process does not allow setup paths for TK library if it is separated from TCL
DescriptionCMake configuration process does not allow setting TK library paths if they are separated from TCL ones

3RDPARTY_TK_DIR does not exist.

There is the need to separate TK from TCL in CMake configuration process
Steps To Reproduceuse standalone TCL and TK when you setup OCCT configuration

TagsNo tags attached.
Test case number
Attached Filespng file icon tcltk.png (35,777 bytes) 2015-10-20 18:20

- Relationships
parent of 0026858closedibs Configuration - cmake wrong detected TK folder 

-  Notes
(0047214)
git (administrator)
2015-10-20 13:14

Branch CR26763 has been created by ski.

SHA-1: 350f3738d98b580439955c35fccddab557ca6195


Detailed log of new commits:

Author: ski
Date: Tue Oct 20 13:06:37 2015 +0300

    0026763: CMake configuration process does not allow setup paths for TK library if it separated from TCL
    
    It is possible now to use standalone TCL and TK.
(0047215)
ski (developer)
2015-10-20 13:14

Dear ibs,
please review.
(0047234)
ibs (developer)
2015-10-20 18:20

dear ski,
could you research the problem appeared when CMake conf process had been performed?

A corresponding screenshot is attached.
(0047252)
git (administrator)
2015-10-21 10:48

Branch CR26763 has been updated by ibs.

SHA-1: 14f454b94ff0ab64addd10143bf820340b6cc629


Detailed log of new commits:

Author: ibs
Date: Wed Oct 21 10:48:31 2015 +0300

    behavior of 3RDPARTY_TK_DIR specifying extended

(0047296)
git (administrator)
2015-10-21 17:51

Branch CR26763 has been updated by ski.

SHA-1: 22d44aa4beecf4a47b7f39f75110afc7d9439ef6


Detailed log of new commits:

Author: ski
Date: Wed Oct 21 17:51:34 2015 +0300

    TCL/TK searching works correctly with installed ActiveTcl

(0047318)
git (administrator)
2015-10-22 11:45

Branch CR26763 has been updated by ski.

SHA-1: 286fd07ac71acd149fa02d8031f491803cf28546


Detailed log of new commits:

Author: ski
Date: Thu Oct 22 11:45:12 2015 +0300

    TCL/TK searching works correctly with latest versions of CMake

(0047319)
ski (developer)
2015-10-22 11:46

Dear ibs,
please review.
(0047721)
git (administrator)
2015-11-02 16:38

Branch CR26763 has been updated forcibly by ski.

SHA-1: 1ef7955a1167c2ffb739db6725d10b57df9ca2fc
(0047722)
ski (developer)
2015-11-02 16:38

Branch CR26763 was rebased on current state of master.
(0047728)
git (administrator)
2015-11-02 17:45

Branch CR26763 has been updated forcibly by ski.

SHA-1: 2b1d1fc4b402bb726455e4cb1c49b91250f39610
(0047733)
ski (developer)
2015-11-02 17:57

Dear ibs,

I have rebased occt branch CR26763 on current state of master and squashed all commits.

Also, product branch CR26763 was created. It contains all changes from occt branch.

Please, review.
(0047744)
ibs (developer)
2015-11-03 11:35

dear bugmaster,
please test the issue
(0053167)
git (administrator)
2016-04-17 14:26

Branch CR26763 has been deleted by kgv.

SHA-1: 2b1d1fc4b402bb726455e4cb1c49b91250f39610

- Related Changesets
occt: master 82f443b6
Timestamp: 2015-11-02 14:45:26
Author: ski
Committer: bugmaster
Details ] Diff ]
0026763: CMake configuration process does not allow setup paths for TK library if it separated from TCL

It is possible now to use standalone TCL and TK.
Behavior of 3RDPARTY_TK_DIR specifying extended
TCL/TK searching works correctly with installed ActiveTcl
TCL/TK searching works correctly with latest versions of CMake
Macro COMPLIANCE_PRODUCT_CONSISTENCY was created.

Small update of compilation for android
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
add - adm/cmake/tk.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/templates/custom.build.bat.in Diff ] File ]
mod - adm/templates/custom.build.sh.in Diff ] File ]
mod - adm/templates/custom.install.bat.in Diff ] File ]
mod - adm/templates/custom.install.sh.in Diff ] File ]
mod - adm/templates/env.build.bat.in Diff ] File ]
mod - adm/templates/env.build.sh.in Diff ] File ]
mod - adm/templates/env.install.bat.in Diff ] File ]
mod - adm/templates/env.install.sh.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-09 11:45 ibs New Issue
2015-10-09 11:45 ibs Assigned To => ski
2015-10-13 13:18 ski Status new => assigned
2015-10-20 13:14 git Note Added: 0047214
2015-10-20 13:14 ski Note Added: 0047215
2015-10-20 13:14 ski Assigned To ski => ibs
2015-10-20 13:14 ski Status assigned => resolved
2015-10-20 18:20 ibs Note Added: 0047234
2015-10-20 18:20 ibs Assigned To ibs => ski
2015-10-20 18:20 ibs Status resolved => feedback
2015-10-20 18:20 ibs File Added: tcltk.png
2015-10-21 10:48 git Note Added: 0047252
2015-10-21 10:56 ibs Summary CMake configuration process does not allow setup paths for TK library if it separated from TCL => CMake configuration process does not allow setup paths for TK library if it is separated from TCL
2015-10-21 10:56 ibs Description Updated View Revisions
2015-10-21 17:51 git Note Added: 0047296
2015-10-22 11:45 git Note Added: 0047318
2015-10-22 11:45 ski Status feedback => assigned
2015-10-22 11:46 ski Note Added: 0047319
2015-10-22 11:46 ski Assigned To ski => ibs
2015-10-22 11:46 ski Status assigned => resolved
2015-11-02 11:45 ibs Assigned To ibs => ski
2015-11-02 11:45 ibs Status resolved => feedback
2015-11-02 16:38 git Note Added: 0047721
2015-11-02 16:38 ski Note Added: 0047722
2015-11-02 17:45 git Note Added: 0047728
2015-11-02 17:57 ski Note Added: 0047733
2015-11-02 17:57 ski Assigned To ski => ibs
2015-11-02 17:57 ski Status feedback => resolved
2015-11-03 11:35 ibs Note Added: 0047744
2015-11-03 11:35 ibs Assigned To ibs => bugmaster
2015-11-03 11:35 ibs Status resolved => reviewed
2015-11-06 12:35 bugmaster Changeset attached => occt master 82f443b6
2015-11-06 12:35 bugmaster Status reviewed => verified
2015-11-06 12:35 bugmaster Resolution open => fixed
2015-11-10 10:16 kgv Relationship added parent of 0026858
2016-04-17 14:26 git Note Added: 0053167
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker